<?php
/**
 * Plugin Name: User Registration Zapier
 * Plugin URI: https://wpeverest.com/wordpress-plugins/user-registration/zapier
 * Description: Zapier addon for user registration plugin.
 * Version: 1.0.0
 * Author: WPEverest
 * Author URI: https://wpeverest.com
 * Text Domain: user-registration-zapier
 * Domain Path: /languages/
 * UR requires at least: 1.9.0
 * UR tested up to: 1.9.0
 *
 * Copyright: © 2020 WPEverest.
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package User_Registration_Zapier
 */

defined( 'ABSPATH' ) || exit;

if ( ! defined( 'UR_ZAPIER_VERSION' ) ) {
	define( 'UR_ZAPIER_VERSION', '1.0.0' );
}

// Define UR_ZAPIER_PLUGIN_FILE.
if ( ! defined( 'UR_ZAPIER_PLUGIN_FILE' ) ) {
	define( 'UR_ZAPIER_PLUGIN_FILE', __FILE__ );
}

// Include the main User_Registration_Zapier class.
if ( ! class_exists( 'User_Registration_Zapier' ) ) {
	include_once dirname( __FILE__ ) . '/includes/class-user-registration-zapier.php';
}

if ( ! defined( 'UR_ZAPIER_DIR' ) ) {
	define( 'UR_ZAPIER_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'UR_ZAPIER_URL' ) ) {
	define( 'UR_ZAPIER_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'UR_ZAPIER_ASSETS_URL' ) ) {
	define( 'UR_ZAPIER_ASSETS_URL', URS_URL . 'assets' );
}
// Initialize the plugin.
add_action( 'plugins_loaded', array( 'User_Registration_Zapier', 'get_instance' ) );
